.offcanvas {

    &.account-menu-offcanvas {
        .offcanvas-content-container {
            padding: 1.25rem 3rem;
        }
    }

    &.is-left {

        .is-home-link {
            display: none;
        }

        .is-back-link {
            border: none;
            padding-left: 3rem;

            .icon-thin-arrow-left {
                width: 22px;
                height: 22px;

                > svg {
                    color: $sw-text-color;
                }
            }

            span[itemprop="name"] {
                display: none;
            }

            .navigation-offcanvas-link-icon {
                margin-right: 0;
                padding: 5px;
                border-radius: 30px;
                transform: translateX(-5px);

                &:hover, &:focus {
                    background-color: $sw-border-color;
                }
            }
        }

        .navigation-offcanvas-actions {

            .top-bar-nav-item {
                padding-left: 3rem;
            }
        }

        .sysea--offcanvas-close {
            position: relative;
            width: 100%;
            height: 50px;
            margin-bottom: 2rem;

            .offcanvas-close {
                position: absolute;
                right: 20px;
                top: 20px;
                width: auto;
                padding: 0;
                background-color: #0000;
                border: none;

                .icon-x {
                    width: 24px;
                    height: 24px;
                }
            }
        }

        .navigation-offcanvas-overlay {

            &.has-transition {
                transition: none;
            }

            .navigation-offcanvas-link {

                &.is-current-category {
                    color: $sw-text-color;
                }

                &:hover, &:focus {

                    span[itemprop="name"] {
                        text-decoration: underline;
                    }
                }
            }
        }

        .navigation-offcanvas-headline {
            display: none;
        }

        .navigation-offcanvas-list {
            padding-left: 3rem;

            .navigation-offcanvas-list-item {
                border: none;

                &:hover, &:focus {

                    span[itemprop="name"] {
                        text-decoration: underline;
                    }
                }

                &:last-child {
                    border: none;
                }

                .navigation-offcanvas-link {
                    justify-content: flex-start;
                    font-size: 1.25rem;
                    font-weight: 700;
                    padding-left: 0;

                    &.js-navigation-offcanvas-link {

                        .navigation-offcanvas-link-icon {
                            margin-left: .5rem;
                        }
                    }

                    .icon-thin-arrow-right {
                        width: 18px;
                        height: 18px;

                        > svg {
                            color: $sw-text-color;
                        }
                    }
                }
            }
        }
    }

    .navigation-offcanvas-placeholder, .navigation-offcanvas-overlay {
        min-height: unset !important;
    }

    .sysea--offcanvas-cart-illustration {
        padding: 3rem;
    }

    .offcanvas-cart-header-count {
        font-size: 0.85rem;
        font-weight: 400;
    }

    .sysea--offcanvas-cart-actions-wrapper {
        position: sticky;
        bottom: 0;
        border-top: 1px solid $sw-border-color;
        background: $white;
        padding-bottom: 1.5rem;
    }
}

.cart-offcanvas {
    .offcanvas-content-container {
        padding-bottom: 0;
    }
}